XKBCLI-DUMP-KEYMAP-WAYLAND(1)

NAME
xkbcli-dump-keymap-wayland - Debugger for XKB keyboard keymaps on Wayland

SYNOPSIS
xkbcli-dump-keymap-wayland [options]

DESCRIPTION
xkbcli-dump-keymap-wayland is a commandline tool to dump XKB keymaps from Wayland compositor.

This requires a Wayland compositor to be running.

This is a debugging tool, its behavior or output is not guaranteed to be stable.

--help
    Print help and exit

--verbose
    Enable verbose debugging output

--input-format keymap_format
    The keymap format (numeric or label, e.g. “v1”) for parsing

--output-format keymap_format
    The keymap format (numeric or label, e.g. “v1”) for serializing

--format keymap_format
    The keymap format (numeric or label, e.g. “v1”) for both parsing and serializing

--raw
    Print the raw keymap, without parsing it.

SEE ALSO
xkbcli(1), xkbcli-interactive-wayland(1), xkbcli-dump-keymap-x11(1), The libxkbcommon online documentation: https://xkbcommon.org